Kerbal Space Program - Bug #25713

"Sally-Hut 1" can't be completed
07/06/2020 12:13 AM - rspeed

Status: Resolved Start date: 07/05/2020
Severity: Low % Done: 100%
Assignee: just_jim

Category: Mission Builder

Target version: 1.10.1

Version: 1.10.0 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Making History

Description

Description

In the mission named "Sally-Hut 1", the player has to first launch a space station into orbit, then later dock with it. However, the
station simply disappears from the game after it reaches the targeted orbit.

Expected outcome

When the Soy-Ooze 10 launch begins, the Sally-Hut 1 station would still be in orbit.

Actual outcome

The Sally-Hut 1 station disappears, making it impossible to complete the mission.

How to replicate

Play the mission. As soon as Soy-Ooze 10 is on the launchpad, open the map and try to find the station.

History

#1 - 07/06/2020 01:01 AM - rspeed

I've just tried restarting the mission and this time the station was there when | launched Soy-Ooze 10 part 2. One thing that | noticed being different is
that the game automatically recovered the capsule from the first Soy-Ooze this time. Previously it would not, seemingly because it was slowly rocking
back and forth no matter what | did. Eventually the Soy-Ooze part 2 vehicle appeared on the pad and | was able to switch to that. This time, however,
I landed on the flat ground of KSC's peninsula, and the game recovered it automatically. This might be part of the issue.

#2 - 07/07/2020 05:31 PM - just_jim

- Category changed from Scenarios to Mission Builder
- Status changed from New to Confirmed

- Assignee set to just_jim

- % Done changed from 0 to 10

- Platform Windows added

#4 - 08/17/2020 08:58 PM - just_jim
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#5 - 08/17/2020 08:59 PM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.10.1

- % Done changed from 30 to 80
We've made some more changes in this latest 1.10.1 version and would like some feedback on this issue. Thanks.

#6 - 08/13/2021 01:06 PM - Technicalfool
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

This was resolved internally a while back. Closing this one out. If you find any more problems with missions, please continue to report them as you
find them!
